App\CoreBundle\Entity\PickList:
  type: entity
  repositoryClass: App\CoreBundle\Repository\PickListRepository
  table: Picklists
  id:
    id:
      type: integer
      column: PickListID
      generator:
        strategy: IDENTITY
  fields:
    picklist_type:
      type: string
      length: 255
      column: PicklistType
      nullable: true
    picklist_value:
      type: string
      length: 255
      column: PicklistValue
      nullable: true
    picklist_label:
      type: string
      length: 255
      column: PicklistLabel
      nullable: true
    display_order:
      type: integer
      column: DisplayOrder
      nullable: false
      options:
          default: 0